Skip to main content
GET
/
v1
/
research
/research
curl --request GET \
  --url https://api.linkup.so/v1/research \
  --header 'Authorization: Bearer <token>'
{
  "metadata": {
    "page": 123,
    "pageSize": 123,
    "total": 123,
    "totalPages": 123
  },
  "data": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "error": "<string>",
      "id": "01234-abcd-56789",
      "status": "completed",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "input": {
        "outputType": "sourcedAnswer",
        "q": "What is Microsoft's 2024 revenue?",
        "excludeDomains": [
          "wikipedia.org"
        ],
        "fromDate": "2025-01-01",
        "includeDomains": [
          "microsoft.com",
          "agolution.com"
        ],
        "includeImages": false,
        "structuredOutputSchema": null,
        "toDate": "2025-01-01"
      },
      "output": {
        "answer": "Microsoft's revenue for fiscal year 2024 was $245.1 billion, reflecting a 16% increase from the previous year.",
        "sources": [
          {
            "name": "Microsoft 2024 Annual Report",
            "snippet": "Highlights from fiscal year 2024 compared with fiscal year 2023 included: Microsoft Cloud revenue increased 23% to $137.4 billion.",
            "url": "https://www.microsoft.com/investor/reports/ar24/index.html"
          }
        ]
      },
      "type": "<string>"
    }
  ]
}

Get your API key

Create a Linkup account for free to get your API key.
This endpoint only retrieves data from existing research tasks. It does not create a new research task. To create a new task, use the POST /research endpoint.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer
default:1
Required range: x >= 1
pageSize
integer
default:10
Required range: 1 <= x <= 100
sortBy
enum<string>
Available options:
createdAt,
updatedAt
sortDirection
enum<string>
default:asc
Available options:
asc,
desc

Response

Paginated list of research tasks.

metadata
object
required
data
object[]
required